Evaluacion/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('socios.urls')),
    path('api/', include('api.urls')),
    path('', include('pwa.urls')),
    path('accounts/', include('allauth.urls')),
]


if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

api/urls.py
from django.urls import path, include
from rest_framework import routers
from . import views

router = routers.DefaultRouter()
router.register(r'socios', views.SociosListaJson)

urlpatterns = [
    path('', include(router.urls)),
]

socios/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.socios_form, name='socios_form'),
    path('socio/<int:pk>/', views.socios_respuesta, name='socios_res'),
]

api/models.py
from django.db import models

# Create your models here.

socios/models.py
from django.db import models
from django.utils import timezone

# Opcion Seleccionar 
TIPO_INFO_REQ = (
    ('ayuda-dev', '¿Como ayudar a los creadores?'),
    ('contacto-dev','Quiero contactarme con el desarrollador de la pagína'),
)

# Create your models here.
class Socio(models.Model):
    email=models.EmailField(max_length=200)
    nombre=models.CharField(max_length=50)
    nickname=models.CharField(max_length=50)
    telefono=models.CharField(max_length=25, default='+56988889999')
    info_req=models.CharField(max_length=25, choices=TIPO_INFO_REQ, default='ayuda-dev')

    def __str__(self):
        return self.nombre

socios/forms.py
from django import forms
from .models import Socio

class SocioForm(forms.ModelForm):

    class Meta:
        model = Socio
        fields = ('email', 'nombre','nickname', 'telefono', 'info_req')

api/views.py
from rest_framework import viewsets, permissions
from .serializers import SociosListaSerializer

#Modelos que necesito llamar
from socios.models import Socio

# Create your views here.
class SociosListaJson(viewsets.ModelViewSet):
    """
    API endpoint que lista los socios de la organización.
    """
    queryset = Socio.objects.all().order_by('email')
    serializer_class = SociosListaSerializer
    #permisson_classes = [permissions.IsAuthenticated]

socios/views.py
from django.shortcuts import render, redirect, get_object_or_404
from .forms import SocioForm
from .models import Socio

# Create your views here.
def socios_form(request):
    if request.method == "POST":
        form = SocioForm(request.POST)
        if form.is_valid():
            socio = form.save(commit=False)
            socio.save()
            return redirect('socios_res', pk=socio.pk)
    else:
        form = SocioForm()
    return render(request, 'socios/index.html', {'form': form})

def socios_respuesta(request, pk):
    socio = get_object_or_404(Socio, pk=pk)
    return render(request, 'socios/socios_respuesta.html', {'socio': socio})

socios/templates/socios/index.html
{% load static %}


{% load socialaccount %}
{% providers_media_js %}

<!DOCTYPE html>

<html lang="es">
  
{% load pwa %}
<head>
  
  {% progressive_web_app_meta %}
  

  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous"> 
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.14.0/css/all.css" integrity="sha384-HzLeBuhoNPvSl5KYnjx0BT+WB0QEEqLprO+NBkkk5gbc67FTaL7XIGa2w1L0Xbgc" crossorigin="anonymous">  
  <link href="https://fonts.googleapis.com/css2?family=Open+Sans+Condensed:wght@300&display=swap" rel="stylesheet">  
   
  
  <link href="{% static '/style.css' %}" rel="stylesheet"> 
  <link rel="stylesheet" href="{% static '/font.css' %}">
  <link rel="shortcut icon" type="image/x-icon" href="{% static '/img/icon.png' %}">
  <link rel="stylesheet" href="{% static 'css/btnpwa.css' %}"> 

  <!-- video js-->
  
  <!-- <link rel="stylesheet" href="{% static '/css/video-js.css' %}">
  <script src="js/video.js"></script> -->

  <link href="https://vjs.zencdn.net/7.8.2/video-js.min.css" rel="stylesheet">
  <script src="https://vjs.zencdn.net/7.8.2/video.min.js"></script>

  <!-- Titulo -->

  <title>Among Us :: THE GAME</title>


  <!--BOTON SCROLL UP-->
  <style>
  #btnScrollToTop {
    position: fixed;
    right: 10px;
    bottom: 10px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: teal;
    box-shadow: 0 0 10px rgba(0, 0, 0,.25);
    color: #fff;
    outline: none;
    cursor: pointer;
    border: none;
  }
  #btnScrollToTop:active{
    background: darkcyan;
  }
  </style>


<!--BARRA DE NAVEGACION-->
</head>
<body>
  <nav>
    <input id="nav-toggle" type="checkbox">
      <div class="logo">AMONG<strong>US</strong></div>
        <ul class="links">
          <li><a href="#queesamongus">¿Qué es Among us?</a></li>
          <li><a href="#comojugart">¿Como jugar como tripulante?</a></li>
          <li><a href="#comojugari">¿Como jugar como impostor?</a></li>
          <li><a href="#descarga">Descarga el Juego</a></li>
          <li><a href="#trailer">Trailer del juego</a></li>
        </ul>
        <label for="nav-toggle" class="icon-burger">
          <div class="line"></div>
          <div class="line"></div>
          <div class="line"></div>
        </label>
    </nav>

    <div class="carousel-container">
      <i class="fas fa-arrow-left" id="prevBtn"></i>
      <i class="fas fa-arrow-right" id="nextBtn"></i>
      <div class="carousel-slide">
        <img src="{% static '/img/carousel/photo6.jpg' %}" id="lastClone" alt="">
        <img src="{% static '/img/carousel/photo1.jpg' %}" alt="">
        <img src="{% static '/img/carousel/photo2.jpg' %}" alt="">
        <img src="{% static '/img/carousel/photo3.jpg' %}" alt="">
        <img src="{% static '/img/carousel/photo4.jpg' %}" alt="">
        <img src="{% static '/img/carousel/photo5.jpg' %}" alt="">
        <img src="{% static '/img/carousel/photo6.jpg' %}" alt="">
        <img src="{% static '/img/carousel/photo1.jpg' %}" id="firstClone" alt="">
      </div>
    </div>
  
  
  <!--CONTENIDO BODY // INFORMACION SOBRE EL JUEGO-->
  <section class="content abo" id="queesamongus">
    <h2 class="title">Que es Among Us?</h2>
    <p>Among Us es un juego multijugador de la compañia "Innersloth". Esta disponible en android, ios y pc, por que hay muchas opciones para porder jugar.
    <br>En el juego estaremos junto a un maximo de otras 10 personas en el que debemos sobrevivir en una nave, realizando tareas para repararla. O bien, ser uno o uno de los impostores
    <br>que tratara de asesinar a todos los demas, sin que nadie percate su identidad. Sigue leyendo esta entretenida pagina web para descubrir mas a fondo como jugar!</p>
  </section>
    
  <section class="content tripulante" id="comojugart">
    <h2 class="title">Como jugar como tripulante?</h2>
      <p> Como tripulante debemos cumplir una serie de tareas, las cuales estas esparcidas por toda la nave en la que nos encontraremos.
      <br>Debemos ir resolviendolas una a una antes de que el impostor mate a toda la tripulacion. Si toda la tripulacion logra resolver
      <br>todas sus tareas, los tripulantes ganan!</p>
      <p>Mientras el juego transcurre y vamos resolviendo las misiones, encontraremos pistas del impostor, tales como cuerpos sin vida
      <br>como tambien actitudes sospechosas de los otros integrantes de la nave. En caso de encontrar un cadaver, podras reportarlo
      <br>y dar una explicacion de como lo encontrase </p>
  </section>

  <section class="content impostor" id="comojugari">
    <h2 class="title">Como jugar como impostor?</h2>
    <p>Se dice que esta es la parte que mas se disfruta del juego, ya que debes ir actuando por la nave como un tripulante comun y corriente,
    <br>con la diferencia de que esta vez deberas ir matando a los otros integrantes de la nave sin que nadie se de cuenta.</p>
    <p>Debes evitar que los demas vean que eres tu el asesino, evitando a toda costa que alguien te vea cerca de un muerto
    <br> o noten alguna actitud sospechosa.</p>       
  </section>


  <!--LINKS HACIA OTRAS PAGINAS WEB-->
  <section class="content link" id="descarga">
    <h2 class= "title">Descargar el juego</h2>
    <p>Tienes varias plataformas donde poder descargarlo.</p>
    <a href="https://store.steampowered.com/app/945360/Among_Us/" target="_blank">Descargar para PC (steam)</a>
    <div class=""></div>
    <a href="https://play.google.com/store/apps/details?id=com.innersloth.spacemafia&hl=es" target="_blank">Descargar para Android </a>
    <div class=""></div>
    <a href="https://apps.apple.com/es/app/among-us/id1351168404" target="_blank">Descargar para IOS </a>
    <div class=""></div>      
    </section>

    <!-- Video-->
  <section class="content link" id="trailer">
    <h2 class= "title">Trailer del juego</h2>
    <main>
      <div class="contenedor">
			  <video class="fm-video video-js vjs-16-9 vjs-big-play-centered" data-setup="{}" controls id="fm-video">
				  <source src="{% static 'video/amongus.mp4' %}" type="video/mp4">
			  </video>
      </div>
      
  
  
      <!-- SOCIAL LOGIN FACEBOOK -->
      <h2 class="Usuario FB"> {{user}} </h2>
      <i class="fab fa-facebook"></i>
      <a href="{% provider_login_url "facebook" method="js_sdk" %}">Login Facebook</a>
      



    <!--FORMULARIO INFORMACION-->
  <div class="contacto col-12">
    <h3>¿Quieres más informacion a tu correo?</h3>
      <form class="post-form" method="POST">
        
        
        {% csrf_token %}
        
        
        <div class="form-row">
          <div class="form-group col-md-12">
            <label for="correo">Correo electrónico:</label>
            <input type='email' type="email" class="form-control" id="id_email" name="email">
          </div>
          
          
          <div class="form-group col-md-12">
            <label for="nombre">Nombre:</label>
            <input type='name' type="text" class="form-control" id="id_name" name="nombre">
          </div>
          
          
          <div class="form-group col-md-12">
            <label for="nick">Nickname:</label>
            <input type='nick' type="text" class="form-control" id="id_nick" name="nickname">
          </div>
          
          
          <div class="form-group col-md-12">
            <label for="telefono">Teléfono de contacto:</label>
            <input type='telefono' type="number" class="form-control" id="id_telefono" name="telefono">
          </div>
          
          
          <div class="form-group col-md-12">
            <label for="id_info_req">Tipo de información requerida:</label>
              <select class="form-control" id="id_info_req" name="info_req">
                <option value="ayuda-dev">¿Como ayudar a los creadores?</option>
                <option value="contacto-dev">Quiero contactarme con el desarrollador de la pagína</option>
              </select>
          </div>
          
          
          <button type="submit" class="btn btn-primary btn btn-success" id="sendBtn">Enviar tus datos
          </button>
        </div>
        </form>
    </div>


  
  
    <!--BOTON SALTAR ARRIBA-->
  <button id="btnScrollToTop">
    <i class="fas fa-arrow-circle-up"></i>
  </button>

  

  

  <!-- Social Bar-->

  <div class="social-bar">
    <a href="https://www.facebook.com/InnerSloth/" class="icon icon-facebook2" target="_blank"></a>
    <a href="https://twitter.com/InnerslothDevs" class="icon icon-twitter" target="_blank"></a>
    <a href="https://www.instagram.com/darth.vento/?igshid=166xlpzxm1l37" class="icon icon-instagram" target="_blank"></a>
    <a href="https://innersloth.newgrounds.com/" class="icon icon-pacman" target="_blank"></a>
    <a href="http://discord.gg/innersloth" class="icon icon-discord" target="_blank"></a>
  </div>

  

  


  <footer class="footer">
  Desarrollo Web y Mobile - DUOC UC - Que yo no soy el Impostor 2020
  </footer>

  <!--Boton para PWA-->
  <div id="prompt" class="prompt hide bg-light border-top">
    <div class="font-weight-bold">Agregar Aplicación</div>
    <small>Esta aplicación web puede ser instalada</small>
    <div class="text-right">
      <button id="buttonAdd" type="button" class="font-weight-bold text-primary btn-sm btn btn-link">ACEPTAR</button>
      <button id="buttonCancel" type="button" class="font-weight-bold text-muted btn-sm btn btn-link">CANCELAR</button>      
    </div>
  </div> 
  
  <script src="{% static 'app.js' %}"></script>
  <script src="{% static 'js/btnpwa.js' %}" ></script>

  
  <script>
    var reproductor = videojs('fm-video', {});
  </script>

  
 
</body>
</html>

socios/templates/socios/socios_respuesta.html
<!-- Contacto -->
<div class="contacto col-12">
    <h2>{{ socio.nombre_completo }}</h2>
    <p>Gracias por contactarnos!</p>
  </div>
  